ADDUSER(8)

NOMBRE
adduser, addgroup - Añade un usuario o grupo al sistema

SINOPSIS
adduser [opciones] [--home DIRECTORIO] [--shell CONSOLA] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] USUARIO

adduser --system [opciones] [--home DIRECTORIO] [--shell CONSOLA] [--no-create-home] [--uid ID] [--group | --ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] USUARIO

addgroup [opciones] [--gid ID] grupo

addgroup --system [opciones] [--gid ID] grupo

adduser [opciones] usuario grupo

  OPCIONES COMUNES
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FICHERO]

DESCRIPCIÓN

adduser y addgroup añaden usuarios y grupos al sistema de acuerdo a las opciones de la línea de órdenes y a la configuración en /etc/adduser.conf. Ofrecen una interfaz más sencilla para programas de bajo nivel como useradd, groupadd y usermod, seleccionando valores para el identificador de usuario (UID) e identificador de grupo de usuarios (GID) conforme a las normas de Debian. También crean un directorio personal («/home/USUARIO») con la configuración predeterminada, ejecutan un script personalizado y otras funcionalidades. adduser y addgroup pueden ejecutarse de cinco maneras distintas:

  Añadir un usuario normal
Si se invoca con un argumento que no es ninguna opción y sin la opción --system o --group, adduser añadirá un usuario normal. adduser elegirá el primer UID disponible dentro del rango especificado para usuarios normales en el fichero de configuración. Puede elegir uno manualmente usando la opción --uid. Puede modificar el rango especificado en el fichero de configuración usando las opciones --firstuid y --lastuid. By default, each user in Debian GNU/Linux is given a corresponding group with the same name. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' primary groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. Also, users can be added to one or more groups defined in adduser.conf either by setting ADD_EXTRA_GROUPS to 1 in adduser.conf, or by passing --add_extra_groups on the commandline. adduser creará los directorios personales de acuerdo con DHOME, GROUPHOMES, y LETTERHOMES. El directorio personal se puede especificar mediante la opción de línea de órdenes --home, y la consola mediante la opción --shell. El bit set-group-ID del directorio personal está habilitado si USERGROUPS es yes, de forma que cualquier fichero creado en el directorio personal del usuario tendrá el grupo correcto. adduser copiará los ficheros desde SKEL en el directorio personal y preguntará por la información del campo gecos y por la clave. El campo gecos también se puede definir con la opción --gecos. Con la opción --disabled-login, la cuenta se creará pero estará deshabilitada hasta que se proporcione una clave. La opción --disabled-password no establecerá la clave, pero todavía será posible trabajar con la cuenta, por ejemplo mediante claves SSH RSA. Si existe el fichero /usr/local/sbin/adduser.local, se ejecutará después de que la cuenta de usuario esté lista, posibilitando realizar ajustes locales. Los argumentos que se pasan a adduser.local son:
nombre-usuario UID GID directorio-personal
La variable de entorno VERBOSE se define de acuerdo a la siguiente regla:

0 if
    --quiet is specified

1 if neither
    --quiet nor --debug is specified

2 if
    --debug is specified (The same applies to the variable DEBUG, but DEBUG is deprecated and will be removed in a later version of adduser.)

  Añadir un usuario del sistema
If called with one non-option argument and the --system option, adduser will add a system user. If a user with the same name already exists in the system uid range (or, if the uid is specified, if a user with that uid already exists), adduser will exit with a warning. This warning can be suppressed by adding --quiet. adduser elegirá el primer UID disponible en el rango especificado en el fichero de configuración para usuarios del sistema (FIRST_SYSTEM_UID y LAST_SYSTEM_UID). Si desea un UID específico, lo puede especificar con la opción --uid. Por omisión, los usuarios del sistema se añaden al grupo nogroup. Para añadir el nuevo usuario del sistema a un grupo existente, use las opciones --gid o --ingroup. Para añadir el nuevo usuario del sistema a un grupo con su mismo ID, use la opción --group. El directorio personal se crea con las mismas normas que para los usuarios normales. Los nuevos usuarios del sistema tendrán como consola /usr/sbin/nologin (a menos que se modifique con la opción --shell), y tienen la clave deshabilitada. Los ficheros de configuración esqueleto no se copian.

  Añadir un grupo de usuarios
Si se invoca adduser con la opción --group y sin las opciones --system o addgroup respectivamente, añadirá un grupo de usuarios. Se elegirá un GID dentro del rango especificado en el fichero de configuración para los GID de sistema (FIRST_GID y LAST_GID). Puede anular este comportamiento introduciendo el GID con la opción --gid. El grupo se creará sin usuarios.

  Añadir un grupo del sistema
Si se invoca adduser con la opción --system se añadirá un grupo del sistema. Se elegirá un GID dentro del rango especificado en el fichero de configuración para los GID del sistema (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Puede especificar el GID con la opción --gid, anulando este comportamiento. El grupo se creará sin usuarios.

  Añadir un usuario existente a un grupo existente
Si se invoca con dos argumentos que no sean opciones, adduser añadirá un usuario existente a un grupo existente.

OPCIONES

--conf FICHERO
    Usa FICHERO en vez de /etc/adduser.conf.

--disabled-login
    No ejecuta passwd para establecer la clave. El usuario no podrá usar la cuenta hasta que se establezca una clave.

--disabled-password
    Como «--disabled-login», pero todavía es posible usar la cuenta, por ejemplo mediante claves SSH RSA, pero no usando autenticación de claves.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name. NAME_REGEX is described in adduser.conf(5).

--gecos GECOS
    Especifica el nuevo campo gecos para la entrada generada. adduser no solicitará esta información si se proporciona esta opción.

--gid ID
    Cuando se crea un grupo, esta opción fuerza el nuevo GID al número dado. Cuando se crea un usuario la opción añade el usuario a ese grupo.

--group
    Cuando se combina con --system, se crea un grupo con el ID y nombre del usuario del sistema. Si no se combina con --system, se crea un grupo con el nombre dado. Ésta es la acción predeterminada si el programa se invoca como addgroup.

--help
    Muestra unas instrucciones breves.

--home DIRECTORIO
    Usa DIRECTORIO para el directorio personal, en vez del predeterminado especificado en el fichero de configuración. Si el directorio no existe, se crea y se copian los ficheros de esqueleto.

--shell CONSOLA
    Usar CONSOLA como la consola de entrada del usuario, en vez del predeterminado especificado en el fichero de configuración.

--ingroup GRUPO
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the configuration file. This affects the users primary group. To add additional groups, see the add_extra_groups option.

--no-create-home
    No crea el directorio personal, incluso si no existe.

--quiet
    Elimina los mensajes informativos, sólo muestra avisos y errores.

--debug
    Muestra más información, útil si desea encontrar el origen de un problema con adduser.

--system
    Crea un usuario del sistema o grupo.

--uid ID
    Fuerza el nuevo identificador de usuario al número dado. adduser fallará si el UID ya está en uso.

--firstuid ID
    Modifica el primer UID del rango del cual se eligen los UID (anula el valor de FIRST_UID definido en el fichero de configuración).

--lastuid ID
    Modifica el último UID del rango del cual se eligen los UID (LAST_UID).

--add_extra_groups
    Añade un nuevo usuario a los grupos adicionales definidos en el fichero de configuración.

--version
    Muestra la versión e información acerca del copyright.

VALORES DE SALIDA

0   El usuario definido ya existe. Puede tener dos causas: El usuario se ha creado mediante adduser, o el usuario ya existía en el sistema antes de invocar adduser. Si adduser devuelve 0, invocar adduser por segunda vez con los mismos parámetros también devuelve 0.

1   Ha fallado la creación de un usuario o grupo porque ya existía con un UID/GID diferente del especificado. El nombre de usuario o grupo ha sido rechazado por no coincidir con la expresión regular configurada. Consulte adduser.conf(5). Una señal ha cancelado la ejecución de adduser.
    O por otras razones no documentadas que se muestran en el intérprete de órdenes. Puede entonces considerar eliminar --quiet para que adduser sea más informativo.

FICHEROS

/etc/adduser.conf
    El fichero de configuración predeterminado de adduser y addgroup.

/usr/local/sbin/adduser.local
    Optional custom add-ons.

VÉASE TAMBIÉN
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), Debian Policy 9.2.2.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org> adduser.8 et .5.conf a la fin

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications de Roland Bauerschmidt y Marc Haber. Parches adicionales por Joerg Hoh y Stephen Gran.
Copyright (C) 1995 Ted Hajek, con una gran aportación del adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser es software libre; lea la Licencia Pública General de GNU versión 2 o posterior para las condiciones de copia. No hay garantía.